<?php

namespace FiloBlu\ExtEbizmartsMailChimp\Setup;

use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;

class InstallSchema implements InstallSchemaInterface {

    /**
     * {@inheritdoc}
     * @SuppressWarnings(PHPMD.ExcessiveMethodLength)
     */
    public function install(SchemaSetupInterface $setup, ModuleContextInterface $context) {
        $installer = $setup;
        $installer->startSetup();
        $connection = $installer->getConnection();

        $tableName = $installer->getTable('newsletter_subscriber');
        $columnName = 'mailchimp_id';

        if ($connection->tableColumnExists($tableName, $columnName) === false) {
            $connection->addColumn($tableName, $columnName, array(
                'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                'default' => '',
                'comment' => 'Mailchimp reference'
            ));
        }

        $installer->endSetup();
    }

}
